#!/bin/bash

echo "Unregistering this agent may mean you have to reactivate"
echo "This may require paying the activation fee again"
read -p "Continue (y/N)? " choice

case "$choice" in
	y|Y ) ;;
	n|N ) exit 1;;
	* ) exit 1;;
esac

# Check if netcat supports options
nc -h > /dev/null 2>&1
if (( $? != 0 )); then
	# Send command without expecting return message
	echo -en "CMD apiclient \"unregister\"\r\n" | nc localhost 9240 > /dev/null 2>&1
	echo "Unregister command has been sent"
	exit 0
fi

# We run a full version of netcat, so we can check if the agent is running or
# wait for command ouput

# Test if agent is running
nc -z -v -w1 localhost 9240 > /dev/null 2>&1
if (( $? != 0 )); then
	echo "Agent isn't running"
	exit 1
fi

echo "Sending unregister command... "

RESULT=$(echo -en "CMD apiclient \"unregister\"\r\n" | nc -w1 localhost 9240)

if [[ ${RESULT} == *"2=Not yet registered"* ]]; then
	echo "Agent isn't registered"
    exit 1
fi

echo "Agent successfully unregistered"
exit 0
